Subject: [Proposal] Pass additional metadata to sendemail-validate hook from git send-email

From: "Strawbridge, Michael" <[email-masked]>
Date: Fri, 26 Aug 2022 21:00:25 +0000

Hi,

I was hoping to put a feature proposal forward for git send-email.

For git send-email there is a git hook, sendemail-validate which 
gets the body of the email that will be sent but is missing some 
of the metadata that git send-email has access to.  I propose that 
we also pass the extra metadata that gets presented to the user 
later on via stdout such as: From, To, Cc, Subject, Date, 
Message-Id, X-Mailer, MIME-Version, Content-Transfer-Encoding to 
the git hook.

I'm willing to work on the patch but want to make sure the idea 
would be accepted first.

Thank you,
Michael